WD MyCloud编译git-2.19

目前,能编译通过,但是安装的时候,依赖关系不正确,估计还是需要继续调整编译配置文件才行。
1.按照How to successfully build packages for WD My Cloud from source中的介绍,搭建完成WDMyCloud的编译环境2.从高版本Debian源里下载git-2.19的源代码包,然后手工编译,如下:

如果出现如下错误信息:

原因是低版本的系统上缺少几个无关紧要的文件,直接忽略这部分即可:

如果出现如下错误信息:

原因为dpkg的版本太低,导致部分命令无法正确执行,执行如下命令即可:

 

如果上述源代码的下载存在问题,可以本站下载一份文件拷贝:

git_2.19.1+next.20181026.orig.tar

git_2.19.1+next.20181026-1.debian.tar

参考链接


发布者

发表评论

电子邮件地址不会被公开。 必填项已用*标注